package com.sun.net.httpserver;

import javax.net.ssl.SSLContext;
import jdk.Exported;

@Exported
public class HttpsConfigurator
{
    private SSLContext context;
    
    public HttpsConfigurator(SSLContext context) {
        if (context == null) {
            throw new NullPointerException("null SSLContext");
        }
        this.context = context;
        return;
    }
    
    public SSLContext getSSLContext() {
        return this.context;
    }
    
    public void configure(HttpsParameters httpsParameters) {
        httpsParameters.setSSLParameters(this.getSSLContext().getDefaultSSLParameters());
    }
}
